Subject: RE: [nemo] Issue 28

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 18 Dec 2003 11:31:50 -0000

Hi Thierry:

Usages defines the following additional terminology:

   Home Link: The link attached to the interface at the Home Agent on
      which the Home Prefix is configured. The interface can be a
      virtual interface, in which case the Home Link is a virtual Home
      Link.

   Home Network: The Network formed by the application of the Home
      Prefix on the Home Link. With Nemo, the concept of Home Network is
      extended as explained below.

   Home Address: With Mobile IPv6, a Home Address is derived from the
      Home Network prefix.  This is generalized in Nemo, with some
      limitations: A Home Address can be either derived from the Home
      Network or from one of the Mobile Router's Mobile Network
      prefixes.

   MRHA Tunnel: The bi-directional tunnel between a Mobile Router and
      its Home Agent

   Mobile Aggregated Prefix: An aggregation of Mobile Network Prefixes.

   Aggregated Home Network: The Home Network associated with a Mobile
      Aggregated Prefix. This Aggregation is advertised as a subnet on
      the Home Link, and thus used as Home Network for Nemo purposes.

   Extended Home Network: The network associated with the aggregation of
      one or more Home Network(s) and Mobile Network(s). As opposed to
      the Mobile IPv6 Home Network that is a subnet, the extended Home
      Network is an aggregation and is further subnetted.

   Virtual Home Network: The Home Network associated with a Virtual
      Network. The Extended Home Network and the Aggregated Home Network
      can be configured as Virtual Home Network.

What do you think?

> -----Original Message-----
> From: Thierry Ernst [mailto:[email-masked]]
> Sent: jeudi 18 décembre 2003 06:37
> To: Pascal Thubert (pthubert)
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [nemo] Issue 28
> 
> 
> Hi,
> 
> 
> "Pascal Thubert (pthubert)" <[email-masked]> wrote:
> 
> > > Let me remind you that we have a separate terminology because the WG
> > > aggreed it; and that the terminology doc contains more terms that are
> > > needed in NEMO Basic Support. So, if you want to move some definitions
> > > in the NEMO Basic Support doc, we would still need a doc for the other
> > > terms ...
> > >
> >
> > I support leaving the definitions in terminology if it goes RFC, as I mentioned implicitly
> in the thread. Question: should we also move the definitions from the usage draft into the
> terminology (I assume yes)?
> 
> Which definitions would be candidates ones ? I will update the
> terminology draft before Xmas, and include terms from NEMO Basic
> Support, if any.
> 
> > > > For example, MR would be good to be defined in the Terminology section
> > > > but TLMR would be defined in the Terminology document, because the basic
> > > > support draft does not talk about TLMR's at all.
> > >
> > > - generic terms are defined in draft-ietf-seamoby-terminology, included
> > >   MR.
> > >
> > > - TMLR doesn't exist anymore, it's root-MR.
> >
> > I support leaving TLMR in the terminology as a deprecated synonym for root-MR; reason is
> it's been used for awhile.
> 
> I can certainly do this.
> 
> I would also like to propose MNet for "mobile networks" (this term has
> been proposed by Nicolas M), since NEMO stands for NEtwork MObility and
> MONET may be confused with MANET. Alexandru also proposed some terms,
> but I didn't find them reasonably clear. Comments ?
> 
> Thierry.
> 
> > > > Finally, the clarification of MH, MR and MN should be re-stated
> > > > somewhere, because currently there is much confusion about this.  Most
> > > > text I've read and speech I've heard refers to MN as being a Mobile
> > > > Host; while in reality MN could be either a MH or a MR (by the
> > > > definition in the Mobile IPv6 spec).
> > >
> > > Anyone is free to propose a rephrasing (that is shared by ML members).
> > > To me, a MN is either a host or a router, I think the definitions are
> > > clear about this.
> > >
> > >
> > > I think the NEMO Basic Support doc should only define specific terms, if
> > > needed. For instance, LFN is better defined in an other document, as it
> > > will be used in discussions not only turning around Basic Support. On
> > > the other hand, if we want to define a term R-BU (Router Binding Update,
> > > to distinguish with the MIPv6 BU), the NEMO Basic Support doc is a
> > > better place.
> > >
> > > So, what terms would you like to see in the NEMO Basic Support doc ?
> > >
> > >
> > > About the status of the terminology doc, I have not issued the WG last
> > > call because I think the terminology about multihoming is not clear
> > > enough and may be enhanced based on the discussion about the coming
> > > multihoming WG document.
> > >
> > Thierry: this doc will always evolve. So we have to cut RFCs when needed and start a follow
> on.

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 18 Dec 2003 20:43:40 +0900

Hi Pascal,

>       can be configured as Virtual Home Network.

That some of your definitions are already defined in draft-ietf-seamoby,
so it's a re-definition (home link, home address), and we need more
words to make it clear or another term. Anyway, I would agree to move
that to draft-ietf-nemo-terminology.

Thierry.

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 18 Dec 2003 20:43:40 +0900

Hi Pascal,

Thierry.